
@hamburger-padding-x           : 14px;
@hamburger-padding-y           : 30px;
@hamburger-layer-width         : 20px;
@hamburger-layer-height        : 2px;
@hamburger-layer-spacing       : 3px;
@hamburger-transition-duration : 0.5s;
.hamburger {
 	padding: @hamburger-padding-x @hamburger-padding-y;
	padding-left: 0;
  	display: inline-block;
  	cursor: pointer;
  	transition-property: opacity, filter;
 	transition-duration: @hamburger-transition-duration;
  	transition-timing-function: linear;
  	font: inherit;
  	color: inherit;
  	text-transform: none;
 	background-color: transparent;
 	border: 0;
  	margin: 0;
  	overflow: visible;
}
.hamburger:hover {
  	opacity: opacity(50%);
}
.hamburger.is-active:hover {
  	opacity: opacity(50%);
}
.hamburger.is-active .hamburger-inner,
.hamburger.is-active .hamburger-inner::before,
.hamburger.is-active .hamburger-inner::after {
  	background-color: @gray_light3;
}

.hamburger-box {
  	width: @hamburger-layer-width;
  	height: @hamburger-layer-height * 3 + @hamburger-layer-spacing * 2;
  	display: inline-block;
  	position: relative;
}

.hamburger-inner {
  	display: block;
  	top: 50%;
  	margin-top: @hamburger-layer-height / -2;
}

.hamburger-inner, .hamburger-inner::before, .hamburger-inner::after {
  	width: @hamburger-layer-width;
  	height: @hamburger-layer-height;
  	background-color: @gray_light3;
  	border-radius: 0px;
  	position: absolute;
  	transition-property: transform;
  	transition-duration: @hamburger-transition-duration;
  	transition-timing-function: ease;
}
.hamburger-inner::before, .hamburger-inner::after {
  	content: "";
  	display: block;
}
.hamburger-inner::before {
  	top: (@hamburger-layer-spacing + @hamburger-layer-height) * -1;
}	
.hamburger-inner::after {
  	bottom: (@hamburger-layer-spacing + @hamburger-layer-height) * -1;
}
 
.hamburger--arrowturn.is-active {
    .hamburger-inner {
          transform: rotate(-180deg);
          /*left: -2px;*/

          &::before {
            left: -2px;
            transform: translate3d(8px, 1px, 0) rotate(45deg) scale(0.5, 1);
          }

          &::after {
            left: -2px;
            transform: translate3d(8px, -1px, 0) rotate(-45deg) scale(0.5, 1);
          }
    }
}